[Interface]
Address = {{ wg_config["interface"].address }}
PrivateKey = {{ wg_config["interface"].private_key }}
{% if wg_config["dns_ips"] %}DNS = {{ wg_config["dns_ips"] }}{% endif %}

{% for peer in wg_config["peers"] %}
[Peer]
Endpoint = {{ peer.public_ip }}:{{ peer.public_port }}
PublicKey = {{ peer.public_key }}
AllowedIPs = {{ peer.allowed_ips }}{% if wg_config["dns_ips"] %},{{ wg_config["dns_ips"] }}{% endif %}
{% if peer.psk %}PresharedKey = {{ peer.psk }}{% endif %}
PersistentKeepalive = {{ peer.keepalive }}
{% endfor %}